angular
    .module('orignalNetwork.controllers', [])
    .controller('orignalNetworkCtrl', function($scope, $ionicPlatform, $rootScope, $ionicLoading, $http, $localstorage, $state) {
    	$ionicPlatform.ready(function(){
    		try{ 
    			
    			$scope.formData={
    				'email':'',
    				'imei':'',
    				'coupon':'',
    			};

    			$scope.pricedata = "";
                $scope.timedata = "";

                $scope.post_id = "";
                $scope.post_title = "";
                $scope.post_name = "";
                $scope.post_guid = "";
                $scope.post_status = "";

                var currency  = "USD";
                $scope.amount = "00.0";
                var address   = "";


                if(ionic.Platform.isAndroid()){
                    window.plugins.imeiplugin.getImei(callback);
                    function callback(imei) {
                        $scope.formData.imei = imei;
                    }
                }


                var country = $localstorage.get("countryName");
                var manufacturer = $localstorage.get("manuname");
                var carrier = $localstorage.get("network");
                var modal = $localstorage.get("modalName");

                $scope.branddata = manufacturer;
                $scope.carrier = carrier;
                $scope.modal = modal;
                $scope.country = country;

                $scope.brandimg     = $localstorage.get("manuimage");//manuimage
                $scope.carrierimg   = $localstorage.get("networkimage");
                $scope.modalimg     = $localstorage.get("modalImage");
                $scope.countryimg   = $localstorage.get("countryFlag");


    			$scope.loadData = function(){
    				$ionicLoading.show();
    				var dataset = step5Show+"action=price&country="+encodeURIComponent(country)+"&manufacturer="+encodeURIComponent(manufacturer)+"&carrier="+encodeURIComponent(carrier)+"&model="+encodeURIComponent(modal);
                    $http({method: 'GET', url: dataset}).
                        success(function(data) {
                            try{
                                $ionicLoading.hide();
                                if(data.status=="success" && data.results!=null){
                                	$scope.pricedata = data.results.Price;
                                    $scope.amount = data.results.Price;
                                	$scope.timedata = data.results.TimeData;
                                    console.log(data.results.post_id);
                                    $scope.post_id = data.results.post_id;
                                    $scope.post_title = data.results.post_title;
                                    $scope.post_name = data.results.post_name;
                                    $scope.post_guid = data.results.post_guid;
                                    $scope.post_status = data.results.post_status;
                                }
                            }
                            catch(err){
                                alert(err);
                            } 
                        }).
                        error(function(country,data, status, headers, config) {
                            console.log(data);
                            $ionicLoading.hide();
                        });
    			}

    			$scope.loadData();

    			$scope.doApply = function(){
    				if($scope.formData.coupon==""){
    					alert("Coupon code is required.");
    					return false;
    				}
    				$ionicLoading.show();
    				var country = $localstorage.get("countryName");
    				var manufacturer = $localstorage.get("manuname");
    				var carrier = $localstorage.get("network");
    				var modal = $localstorage.get("modalName");
    				var dataset = step5coupon+"action=coupencheck&country="+encodeURIComponent(country)+"&manufacturer="+encodeURIComponent(manufacturer)+"&carrier="+encodeURIComponent(carrier)+"&model="+encodeURIComponent(modal)+"&coupen="+encodeURIComponent($scope.formData.coupon);
                    $http({method: 'GET', url: dataset}).
                        success(function(data) {
                            try{
                                console.log(data);
                                $ionicLoading.hide();
                                if(data.status=="success" && data.results!=null){
                                    if(data.message==null){
                                        alert("Coupon Applied Successfully");
                                        $scope.pricedata = data.results.actual_price;
                                        $scope.amount    = $scope.pricedata;
                                    }else{
                                        alert(data.message[0]);
                                    }
                                }
                            }
                            catch(err){
                                alert(err);
                            } 
                        }).
                        error(function(country,data, status, headers, config) {
                            console.log(data);
                            $ionicLoading.hide();
                        });
    			}

                $scope.currency_code = "";
                $scope.custom        = "";
                $scope.item_name     = "";
                $scope.item_number = "";

    			
    			$scope.applyNetwork = function(){

                    if($scope.formData.email==undefined){
                        alert("Email is invalid.");
                        return false;
                    }else if($scope.formData.email==""){
    					alert("Email is required.");
    					return false;
    				}else{
    					var emailID = $scope.formData.email;
    				   	atpos = emailID.indexOf("@");
    				   	dotpos = emailID.lastIndexOf(".");
    				   	if (atpos < 1 || ( dotpos - atpos < 2 )){
    				       alert("Please enter correct email ID");
    				       return false;
    				    }
    				}
    				if($scope.formData.imei==""){
    					alert("IMEI is required.");
    					return false;
    				}

    				var dataset = temp5Data+"price="+encodeURIComponent($scope.pricedata)+"&post_id="+encodeURIComponent($scope.post_id)+"&post_title="+encodeURIComponent($scope.post_title)+"&post_name="+encodeURIComponent($scope.post_name)+"&post_guid="+encodeURIComponent($scope.post_guid)+"&post_status="+encodeURIComponent($scope.post_status)+"&IMEI="+encodeURIComponent($scope.formData.imei)+"&billing_email="+encodeURIComponent($scope.formData.email)+"&coupon_code="+encodeURIComponent($scope.formData.coupon);
                    

                    $ionicLoading.show();

                    $http({method: 'GET', url: dataset}).
                        success(function(data) {
                            try{
                                if(data.status=="success"){
                                    $ionicLoading.hide();
                                    $scope.currency_code = data.results.currency_code;
                                    $scope.custom        = data.results.custom;
                                    $scope.item_name     = data.results.item_name;
                                    $scope.item_number   = data.results.item_number;
                                    //$scope.paypalsend();
                                    $scope.openBrowser();
                                }else{
                                    $ionicLoading.hide();
                                    alert(data.results);
                                }
                            }
                            catch(err){
                                alert(JSON.stringify(err));
                            }
                            $ionicLoading.hide();   
                        }).
                        error(function(country,data, status, headers, config) {
                            console.log(data);
                            $ionicLoading.hide();
                        });
    			}

                $scope.openBrowser = function(){

                    $ionicLoading.show();
                    var url = openBrowserURL+"price="+encodeURIComponent($scope.pricedata)+"&post_id="+encodeURIComponent($scope.post_id)+"&post_title="+encodeURIComponent($scope.post_title)+"&post_name="+encodeURIComponent($scope.post_name)+"&post_guid="+encodeURIComponent($scope.post_guid)+"&post_status="+encodeURIComponent($scope.post_status)+"&IMEI="+encodeURIComponent($scope.formData.imei)+"&billing_email="+encodeURIComponent($scope.formData.email)+"&coupon_code="+encodeURIComponent($scope.formData.coupon);
                    
                    window.open(url, '_system', 'location=no');

                    setTimeout(function(){
                        $ionicLoading.hide();
                        $state.go('home');
                    },5000);
                }

    			$scope.paypalsend = function(){
                    try{
                        var amount = Number($scope.amount);
                        PaypalService.initPaymentUI().then(function() {
                            PaypalService.makePayment(amount, currency, address).then(function(data) {
                                $ionicLoading.show();
                                $scope.transaction_id = data.response.id;
                                //alert($scope.transaction_id);
                                //alert("Thanks for the payment.");
                                $scope.saveTansactionData(data.response.id);
                                
                            }, function(msg) {
                                alert(msg);
                            });
                        }, function(msg) {
                            //alert(JSON.stringify(msg));
                        }); 
                    }catch(err){
                        alert(err.message);
                    }
    			}

                $scope.saveTansactionData = function(transaction_id){

                    var dataset = returnURL+"?tx="+transaction_id;
                    $http({method: 'GET', url: dataset}).
                        success(function(data) {
                            try{
                                $ionicLoading.hide();

                                $scope.formData={
                                    'email':'',
                                    'imei':'',
                                    'coupon':'',
                                };

                                $state.go('home');

                            }
                            catch(err){
                                alert(JSON.stringify(err));
                            }
                            $ionicLoading.hide();   
                        }).
                        error(function(country,data, status, headers, config) {
                            console.log(data);
                            $ionicLoading.hide();
                        });
                }

    		}catch(err){
    			console.log(err.message);
    		}
    	});		
    });
